@Axeles
Нечего тут пока писать

Как заблокировать обновление hwe ядра Linux?

Добрый день. Подскажите пожалуйста как заблокировать обновления ядра при обновлении системы. Посмотрел в интернете на различных источниках. Обычно рекомендуют указывать
sudo apt-mark hold linux-image-generic linux-headers-generic, но это не помогает ядро всё равно обновляется до последней доступной версии. Сейчас это 5.04-71. Пробовал так же редактировать файл /etc/apt/apt.conf.d/50unattended-upgrades таким образом
// List of packages to not update (regexp are supported)
Unattended-Upgrade::Package-Blacklist {
        "linux-generic";
        "linux-image-generic";
        "linux-headers-generic";
//      "vim";
//      "libc6";
//      "libc6-dev";
//      "libc6-i686";
};

Тоже самое всё равно обновляется! Подскажите пожалуйста как запретить обновление ядра!?
Большое всем спасибо!
  • Вопрос задан
  • 181 просмотр
Пригласить эксперта
Ответы на вопрос 1
hottabxp
@hottabxp
Сначала мы жили бедно, а потом нас обокрали..
Меня это тоже задолбало. Подтверждаю, ни один из известных гуглу способов запретить обновлять ядро - не работает (по крайней мере в Ubuntu 20.04). Решил проблему довольно легко. Нашел через браузер в репозитории Debian ядро 4.19 (поддержка его до декабря 2025, но вы можете поискать другие версии) - скачал 4 deb-пакета:
  1. linux-modules-4.19.0-041900-lowlatency_4.19.0-041900.201810221809_amd64.deb
  2. linux-headers-4.19.0-041900_4.19.0-041900.201810221809_all.deb
  3. linux-image-unsigned-4.19.0-041900-lowlatency_4.19.0-041900.201810221809_amd64.deb
  4. linux-headers-4.19.0-041900-lowlatency_4.19.0-041900.201810221809_amd64.deb

установил так sudo dpkg -i *.deb
Далее перезагрузился на ядро 4.19 и удалил ядро 5.xx. Все, проблема решена.

PS: Если присмотреться, то можно увидеть, что есть 2 пакета с заголовками, их нужно именно 2. Если один из них будет отсутствовать, то заголовки не установятся(или установятся, но будут сломаны пакеты - не помню уже). Заголовки на работу системы не влияют, но их отсутствие может подкинуть проблем при установке некоторого софта - например, VirtualBox.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы